<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Вывод средств');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Вывод средств</div></div></div>';
if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$pass = check($_POST['pass']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($b['rur'] < $rur) {
err('У вас недостаточно средств для вывода!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 руб.');
} elseif (sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
DB::$dbs->query("INSERT INTO `billing_out` (`user_id`,`rur`,`time`) VALUES (?,?,?)", [$b['id'],$rur,time()]);
$id = DB::$dbs->lastInsertId();
$text = 'Вывод средств. Сумма: [b]'.$rur.'р.[/b]';
echo '<div class="alert alert-success"role="alert"> Платеж принят в обработку. О результате Вы будете уведомлены.</div>';
$title->GetMenu();
$title->GetFooter();
die();
}
}
echo'<div class="list-group-item media"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="list-group-item media"><b>Сумма</b><br/>
<form action="?" method="post"><input name="rur" class="form-control"maxlength="7"/><br />Пароль: <br/><input name="pass"class="form-control"/><br /> <input type="submit" class="btn btn-primary" name="ok" value="Вывести"/></form></div>';
} else err('Заполните WMR кошелек!');
$title->GetMenu();
$title->GetFooter();
?>